# Set up Debian Stretch server.

# Install dependencies.
apt update
apt install openjdk-8-jdk-headless

# Get Mule
# https://developer.mulesoft.com/download-mule-esb-runtime
wget https://repository-master.mulesoft.org/nexus/content/repositories/releases/org/mule/distributions/mule-standalone/4.1.1/mule-standalone-4.1.1.tar.gz

# As root
mv mule-standalone-4.1.1.tar.gz /opt/
cd /opt

tar zxvf mule-standalone-4.1.1.tar.gz

ln -s mule-standalone-4.1.1 mule

# tarball has uid 500
chown -R root:root /opt/mule*

# Run manually
/opt/mule/bin/mule start

# Configure Mule ESB

# Set to start on Boot

# Open up Mule ESB port on firewall: 
-A INPUT -p tcp --dport 32000 -j ACCEPT


